--- title: "Get monitoring list" slug: "management-wms-scripts" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-wms-scripts" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring list Available in Classic and VPC Get the list of all monitoring services. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/scenarios | ### Request headers For information about the headers common to all Web service Monitoring System APIs, see [Web service Monitoring System request headers](/docs/en/management-wms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://wms.apigw.ntruss.com/api/v1/scenarios' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Monitoring service name | | `monitoringType` | String | - | Monitoring type - `URL` \| `SCENARIO` - `URL`: If only URL access steps are added to the monitoring scenario step - `SCENARIO`: If two or more steps are added to the monitoring scenario step including URL access | | `interval` | Integer | - | Monitoring execution interval (minute) - `1` \| `5` \| `10` | | `requestTimeout` | Integer | - | Monitoring request wait time (millisecond) - `5000` \| `10000` \| `30000` | | `runTimeout` | Integer | - | Monitoring scenario execution wait time (millisecond) - `30000` \| `40000` \| `50000` \| `60000` | | `serviceType` | String | - | Monitoring service type - `PC` \| `MOBILE` | | `serviceYn` | Boolean | - | Monitoring status - `true` \| `false` - `true`: started - `false`: suspended | | `methodType` | String | - | Monitoring request type - `GET` \| `POST` \| `DELETE` \| `PUT` | | `url` | String | - | Web service URL address - Monitoring target | | `historyId` | String | - | History management ID | | `scenarioId` | Integer | - | Scenario ID | ### Response status codes For information about the HTTP status codes common to all Web service Monitoring System APIs, see [Web service Monitoring System response status codes](/docs/en/management-wms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "name": "ncloud_test", "monitoringType": "SCENARIO", "interval": 1, "requestTimeout": 5000, "runTimeout": 30000, "serviceType": "PC", "serviceYn": true, "methodType": "GET", "url": "https://www.ncloud.com", "historyId": 1, "scenarioId": 7488 }, { "name": "example_test", "monitoringType": "URL", "interval": 1, "requestTimeout": 5000, "runTimeout": 30000, "serviceType": "PC", "serviceYn": true, "methodType": "GET", "url": "http://www.example.com", "historyId": 1, "scenarioId": 7479 } ] ```